import { Component } from '@a11d/lit';
/**
 * @attr progress - The progress of the circular progress indicator. Unset to display an indeterminate progress indicator.
 *
 * @cssprop --mo-circular-progress-track-color
 * @cssprop --mo-circular-progress-accent-color
 */
export declare class CircularProgress extends Component {
    progress?: number;
    static get styles(): import("@a11d/lit").CSSResult;
    protected get template(): import("lit-html").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'mo-circular-progress': CircularProgress;
    }
}
//# sourceMappingURL=CircularProgress.d.ts.map